Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038950
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-07-13 12:152019-05-21 15:16
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision66c41204bce2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038950: use bind-parameters in Preferences.java

DescriptionThis piece of code is injecting params by String concatenation:

        List<String> parentTree = OBContext.getOBContext().getOrganizationStructureProvider(client)
            .getParentList(org, true);
        String parentOrgs = "(" + StringCollectionUtils.commaSeparated(parentTree) + ")";
        hql.append(" and coalesce(p.visibleAtOrganization, '0') in " + parentOrgs);
Steps To Reproduce-
Proposed SolutionHibernate supports setting IN parameters as a Collection, replace this code for a param.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111352)
hgbot (developer)
2019-04-26 10:27

Repository: erp/devel/pi
Changeset: 66c41204bce2f25473854a6851a228f568705da6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 25 13:50:52 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/66c41204bce2f25473854a6851a228f568705da6 [^]

fixed issue 38950: use bind-parameters in Preferences.java

---
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
---
(0111626)
caristu (developer)
2019-05-10 15:27

Code reviewed + tested OK.
(0112001)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-13 12:15 alostale New Issue
2018-07-13 12:15 alostale Assigned To => platform
2018-07-13 12:15 alostale Modules => Core
2018-07-13 12:15 alostale Triggers an Emergency Pack => No
2018-07-13 12:15 alostale Relationship added blocks 0038136
2018-08-03 08:57 alostale Status new => acknowledged
2019-04-26 10:27 hgbot Checkin
2019-04-26 10:27 hgbot Note Added: 0111352
2019-04-26 10:27 hgbot Status acknowledged => resolved
2019-04-26 10:27 hgbot Resolution open => fixed
2019-04-26 10:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/66c41204bce2f25473854a6851a228f568705da6 [^]
2019-04-29 17:28 shuehner Assigned To platform => alostale
2019-05-03 07:46 alostale Review Assigned To => caristu
2019-05-10 15:27 caristu Note Added: 0111626
2019-05-10 15:27 caristu Status resolved => closed
2019-05-10 15:27 caristu Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0112001


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker